{{- if .Values.application.initializeCommand -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ template "trackableappname" . }}-app-initialize
  labels:
    app: {{ template "appname" . }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version| replace "+" "_" }}"
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
  annotations:
    "helm.sh/hook": post-install
    "helm.sh/hook-delete-policy": before-hook-creation
    "helm.sh/hook-weight": "0"
spec:
  template:
    metadata:
      labels:
        app: {{ template "appname" . }}
        release: {{ .Release.Name }}
    spec:
      restartPolicy: Never
      imagePullSecrets:
{{ toYaml .Values.image.secrets | indent 10 }}
      containers:
      - name: {{ .Chart.Name }}
        image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        command: ["/go/bin/migration"]
        imagePullPolicy: {{ .Values.image.pullPolicy }}
        {{- if .Values.application.secretName }}
        envFrom:
        - secretRef:
            name: {{ .Values.application.secretName }}
        {{- end }}
        env:
        - name: DATABASE_DRIVER
          value: {{ .Values.application.database_driver | quote}}
        - name: DATABASE_URL
          value: {{ .Values.application.database_url | quote }}
        {{- if .Values.rabbitmq.enabled }}
        - name: RABBITMQ_HOST
          value: {{ .Values.application.rabbitmq.host }}
        - name: RABBITMQ_PORT
          value: {{ .Values.application.rabbitmq.port | quote }}
        - name: RABBITMQ_PASSWORD
          value: {{ .Values.application.rabbitmq.password }}
        - name: RABBITMQ_USER
          value: {{ .Values.application.rabbitmq.user }}
        {{- end }}
{{- if .Values.application.environments }}
{{ toYaml .Values.application.environments | indent 8 }}
{{- end }}
{{- end -}}
